package com.ibiz.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.repository.po.PS;
import com.ibiz.core.module.filter.PSSearchContext;

/**
 * 实体 [采购单] 存储对象
 */
public interface PSRepository extends Repository<PS> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<PS> searchDefault(PSSearchContext context);

    PS convert2PO(com.ibiz.core.module.domain.PS domain , PS po) ;

    com.ibiz.core.module.domain.PS convert2Domain( PS po ,com.ibiz.core.module.domain.PS domain) ;

}
